<div class="align-items-stretch d-flex w-100 ">
    <app-side-bar></app-side-bar>
    <div class="main min-vh-100">

        <app-nav-bar [Navbar]="Roles"></app-nav-bar>

        <main class="content px-3 py-2 mt-3">
            <div class="container-fluid">
                <!-- Tu contenido principal aquí -->
                <form [formGroup]="form">
                    <div class="formulario-container">
                        <div class="formulario">
                            <h2>Formulario de Usuario</h2>

                            <label for="description">Role:</label>
                            <input type="text" id="description" name="description" formControlName="description">
                            <small appErrorInput [touched]="form.controls['description'].touched"
                                [dirty]="form.controls['description'].dirty" [errors]="form.controls['description'].errors"
                                class="error-message"></small>

                            <div class="button-container">
                                <button type="submit" (click)="add()">Enviar</button>
                                <button type="submit" class="cancel-button" (click)="redirigirAAddRoles()">Cancelar</button>
                            </div>
                        </div>
                        
                    </div>

            </form>
            </div>

        </main>
    </div>
</div>